    <!DOCTYPE html>
    <html>
    
        <head>
            <meta charset="utf-8">
            <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
            <title>3 Degrees of freedom mouse</title>
            <meta name="description" content="A description of the 3 degrees of freedom mouse.">
            <meta name="keywords" content="Udayan, Umapathi, 3DOF, mouse, 3 degrees of freedom, rotational mouse, rotation, drag mouse, mushaca, India, Purdue, RVCE, Design, HCI, Interaction Design">

            <link rel="stylesheet" href="main.css">
            <script src="processing.js" ></script>
            <script type="text/javascript" src="Guido.js"></script>
            
            <script type="text/javascript">
                function OnScrollDiv (div) {
                    
                }
            </script>

</script>
        <link rel="icon" type="img/png" href="icon.png">
        </head>
        <body>
            
             <img alt="pattern" src="Udayan Umapathi2.png" height="80"
                width="300">
            
            <br>
            <br>

           
            
            <div>
            <ulh>
                <lih><a  class="menu" href="index.html" >home</a></lih>
                <lih><a class="menu" href="projects.html" >projects</a></lih>
                <lih><a class="menu" href="research.html">research</a></lih>
                <lih><a class="menu" href="hobby.html">obsession</a></lih>
            </ulh>
            </div>
        
            <hr class="style-one"/>
            <img src="X1.png" width="100%" height="auto">
            
             <p> <b>3 Degrees of freedom mouse</b> by Udayan Umapathi, <a href="people.html">Varun Vasudevan </a>, <a href="http://geometeer.com/">Scientist Tim   Poston </a>, <a href="https://engineering.purdue.edu/~elm/">Prof.Niklas Elmqvist</a> </p>
            
            <hr class="style-six"/>
            
             <p class="subheading">Motivation</p>
            
                <p>Computer mouse has not undergone a lot of changes since the time of <a href="http://en.wikipedia.org/wiki/Douglas_Engelbart">Douglas Engelbart</a>. Addition of the scroll-wheel, additional click buttons, wireless capability, use of optics, change from <a href="http://en.wikipedia.org/wiki/PS/2_connector" target="_blank">PS/2</a> to USB connection, albeit these modifications are advancements, they have not changed the way we use the mouse. More importantly, one of the inherent capability of the mouse is bafflingly untapped -- its ability to provide rotation as an input. <br><br> With today's computer mouse you can move something across the screen but not control what it does while it moves, like making it bite or sting. The introduction of scroll-wheel added a third degree of freedom to mouse. However, most people can not coordinate the simultaneous movement of the two different muscle groups associated with scroll and XY-movement.</p>            
        
                <p>Let's play a little game in the widget below to understand the importance of having rotation in a mouse. Try to move the boat from start to end without hitting the bank. Click and drag the boat to move it across the screen. Use the scroll-wheel to turn the boat left and right (or use the slider at the top, if scroll does not work). With the standard mouse this process is not natural. You would drag the boat first, then rotate a little, then again drag a little more followed by rotational adjustment; the process repeats. This is a tedious task with jerky movements. A natural gesture anybody would employ while moving an object on a flat surface would be to turn/twist while they move. Wouldn't it be easier to drag the boat across the river if your hand movement is directly translated to motion of the cursor? </p>
            
            <div onmousewheel="onScrollDiv(this)">
            <canvas data-processing-sources="movingBoat.pde"></canvas> 
            </div>
                
            <p>How about placing a text box parallel to a line in power point or a word processor application ? This process is cumbersome and jerky as the movement of the boat.</p>
                        
            <img class="centering"
                alt="Text box" src="textBox.png" height="300"
                width="420">
            
            <p>In the animation shown below, consider dragging the green star and place it on top of the red star. With a normal XY mouse, you would drag the green star to a approximate position on top of the red one. And then you would grab the turning handle and drag the mouse to rotate the star. Then you would again adjust the position. Then again rotate and adjust. You get the idea. </p>

            <img class="centering"
                alt="Text box" src="mouse2.gif" height="168"
                width="172">
                        
            <p>With turn-mouse however, this is an easy job. You rotate the star as you move and place it straight on top of the red star at once. No jerky movements!</p>
            
            <img class="centering"
                alt="Text box" src="mush2.gif" height="108"
                width="164">

            <p>The situation is even worse in 3D applications such as AutoCAD, Sketchup, etc. In the limited real estate on a computer screen multiple views of a 3D object is presented as mutliple windows.
                On top of that, menus and control buttons occupy some more space. Essentially, the pixels available for each view is very limited. A typical view of a 3D modeling software is shown below. To rotate the kettle about the vertical axis, you would drag the mouse sideways, in the top-left and bottom-right windows. To rotate it about the axis along handle-spout, you would drag the mouse up-down in the top-left window (or drag the mouse left-right in the top-right window). Too many window changes and movements, makes the modeling process so painful. If you are trying to match two protein molecules in a medical application as a medicinal practisioner, you are know what it takes. </p>

                <img src="fourwin.jpg" class="centering">  
            
            <hr class="style-six"/>
            
            <p class="subheading">Solution</p>
            <p>We have developed a 3-degrees-of-freedom mouse (3DOF mouse) using MEMS sensors (accelerometer and gyroscope). This mouse is interoperable with a standard computer mouse. In addition to providing all the features that a normal mouse offers (XY movement, button clicks, scroll-wheel), the 3DOF mouse is capable of reporting rotation of the mouse as an input to the operating system. </p>
            
            <hr class="style-six"/>

            <p class="subheading">My role</p>
            <p>System design, Component selection, PCB layout and schemtics (Eagle), Algorithm development, Firmware implementation, Java Applets and <a href="http://processing.org/">Processing App</a> (will be open-sourced), Driver developement (will be open-sourced)</p>
            <hr class="style-six"/>
            
            <p class="subheading">Progress</p>
            <p>The very <b>first version</b> of the mouse (image below) was bulky, it had lose wires and did not quite look like a mouse. However, we were able to get a primitive version of the algorithm to work.</p>
            
            
             <img class="centering"
                alt="First prototype" src="mouseProto1.jpg" height="320"
                width="512">
            
            <hr class="style-six"/>

            <p> In the <b>second version</b> we got rid of unnecessary components and designed a custom board. In this version, the on-board algorithm got better. We were able to report XY movement and rotation consistently (still not perfect!). We studied the effects surface friction and tension in the USB cable on the motion of the mouse. It was also difficult to hold the mouse without an enclosure to perform any task. While designing a enclosure for the mouse we followed HCI prototyping guidelines recommended by <a href="http://hci.stanford.edu/research/prototyping/">Prof.Scott Klemmer</a>. We had to ensure that the movement of the board was not affected by the tension in the USB cable, friction on the surface on which the mouse moves. Most importantly shouldn't a mouse look like a mouse, aesthetically? It should be something that can be held in a hand and usable as a mouse. </p>
            
             <img
                alt="Second prototype MAC" src="mouseProto2Mac.jpg" height="320"
                width="512">
            
             &nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;
              &nbsp;&nbsp;&nbsp; 
            
            <img alt="Second prototype cable"
                src="mouseProto2cable.jpg" height="320" width="200">
            
            <br>
            <br>
                    <hr class="style-six"/>
           
            <p>The third version of the mouse is now underway. This time we had taken care of the previous design issues. No more cables, we went wireless! The board had improved routing in the layout design. It was designed to fit into a commercially available, off-the-shelf mouse casing. And we have a beautiful 3DOF mouse.</p>
            
             <img class="centering"
                alt="Third prototype open" src="mouseProto3_open.jpg" height="320"
                width="512">
            
            <img class="centering" alt="Third prototype closed"
                src="mouseProto3_closed.jpg" height="320" width="512">
            
           <hr class="style-six"/>
           <p class="subheading">What's left ?</p> 
            <p>This is a project still under development. The board for the third prototype just arrived. It is undergoing component assembly and electrical test. Meanwhile, the algorithm (firmware on-board) is undergoing significant improvements. Mechanical assembly is complete and the mouse has a perfect enclosure. </p>
            
            
           <hr class="style-six"/>
           <p class="subheading">Master's thesis: The Human-Computer Interaction(HCI) component</p> 
            
            <p>I am being adviced by <a href="https://engineering.purdue.edu/~elm/">Prof.Niklas Elmqvist</a> at Purdue University towards my Master's thesis. We have developed a set of applications like "moving the boat" and "matching the star" experiments above. Our experiments include a set of tasks to compare a standard mouse against the 3DOF mouse. The study also includes a set of artificial experiments to find the limitations and explore the design space for other possibilities. To know more, visit my <a href="research.html">research</a> page.</p>
            
           <hr class="style-six"/>
           <p class="subheading">Video of the first prototype</p> 
            
            <iframe src="//www.youtube.com/embed/PgVTCO6U_-A" frameborder="0" allowfullscreen></iframe>
            
            <hr class="style-seven" />            
            <p class="left">copyrights©2013 Udayan</p>
            <br style="clear: both" />              
        </body>
    </html>


